package com.itbz.commons;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.util.ResourceBundle;

public class JdbcUtils {
    //实例化数据库参数。
    private  static String driver;
    private  static String url;
    private  static String username;
    private  static String password;
    //使用静态代码块对实例化对象赋值。
    static {
        try {
        ResourceBundle bundle =ResourceBundle.getBundle("db");
        driver=bundle.getString("jdbc.driver");
        url= bundle.getString("jdbc.url");
        username=bundle.getString("jdbc.username");
        password=bundle.getString("jdbc.password");
        //加载数据库驱动
            Class.forName(driver);
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        }
    }

    //获取连接方法
    public static Connection getConnection(){
        Connection conn = null;
        try{
            conn = DriverManager.getConnection(url,username,password);
        }catch(Exception e){
            e.printStackTrace();
        }
        return conn;
    }

    //关闭连接方法
    public static  void  closeConnection(Connection conn){
        try {
            conn.close();
        } catch (SQLException e) {
            e.printStackTrace();
        }
    }
}
